Bug 746885 - error installing bootloader, LiveCD, Mac OS dual boot
error installing bootloader, LiveCD, Mac OS dual boot
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: 744496 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2011-10-18 01:05 EDT by Chris Murphy
Modified: 2013-02-13 03:34 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-13 03:34:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
storage.state (36.00 KB, application/octet-stream)
2011-10-18 01:05 EDT, Chris Murphy
no flags Details
anaconda.log (16.47 KB, text/plain)
2011-10-18 01:07 EDT, Chris Murphy
no flags Details
ifcfg.log (99 bytes, text/plain)
2011-10-18 01:07 EDT, Chris Murphy
no flags Details
program.log (150.41 KB, text/plain)
2011-10-18 01:08 EDT, Chris Murphy
no flags Details
storage.log (257.69 KB, text/plain)
2011-10-18 01:08 EDT, Chris Murphy
no flags Details
storage.state (40.00 KB, application/octet-stream)
2011-10-18 01:09 EDT, Chris Murphy
no flags Details
boot_info_script.sh output (22.44 KB, text/plain)
2011-11-09 15:07 EST, gareth foster
no flags Details

  None (edit)
Description Chris Murphy 2011-10-18 01:05:11 EDT
Created attachment 528705 [details]

Description of problem:

When installing from the LiveCD to a disk containing a preexisting installation of Mac OS, an error installing bootloader occurs at the end of the installation process.

Version-Release number of selected component (if applicable):
Fedora-16-Beta-x86_64-Live-Desktop.iso  28-Sep-2011

How reproducible:
Always except as noted in additional info.

Steps to Reproduce:
1. Zero target disk.
2. Used Apple Disk Utility to create two partitions, jhfs+, and Free Space.
3. Installed Mac OS on the jhfs+ partition.
4. Reboot from LiveCD and started installer.
5. Chose installation type "Use Free Space" accepting all remaining default options.

Actual results:
Installation itself completes, and then:

"There was an error installing the bootloader.
the system may not be bootable."

Also, on the target disk boot partition:
/grub2/grub.cfg  = 0 bytes  Sep 5 datestamp
/grub2/grub.cfg.new = 2203 bytes  Oct 18 datestamp

Contents of grub.cfg.new appear to be correct, with correct set root and uuid.

Expected results:
Proper bootloader installation without error.

Expect grub.cfg.new to be grub.cfg.

Additional Information:
Tested on Macbook Pro 4,1.

Always used CSM boot, not EFI boot.

Reboot from Install DVD (same release date), choose Use Free Space installation type, problem is not reproducible. The /tmp/program.log contains a line:
00:48:34,070 INFO program: Running... grub2-install --no-floppy (hd0)
which is not in the /tmp/program.log when installing from the LiveCD. Not sure if it's related.
Comment 1 Chris Murphy 2011-10-18 01:07:20 EDT
Created attachment 528706 [details]
Comment 2 Chris Murphy 2011-10-18 01:07:55 EDT
Created attachment 528707 [details]
Comment 3 Chris Murphy 2011-10-18 01:08:16 EDT
Created attachment 528708 [details]
Comment 4 Chris Murphy 2011-10-18 01:08:36 EDT
Created attachment 528709 [details]
Comment 5 Chris Murphy 2011-10-18 01:09:10 EDT
Created attachment 528711 [details]
Comment 6 Chris Murphy 2011-10-18 01:10:32 EDT
*** Bug 744496 has been marked as a duplicate of this bug. ***
Comment 7 Chris Murphy 2011-10-18 01:13:22 EDT
I failed to set severity to "high" or "urgent" and can't change it. The consequence of this bug is that Fedora fails to boot in a dual boot scenario. And failure to boot is probably at least a high severity.
Comment 8 gareth foster 2011-11-07 15:42:55 EST
This bug just bricked my Fedora 16 PreUpgrade. Exceptions thrown about installing the bootloader, "insert disk" error after selecting Fedora on boot menu (refit). Dualboot with OSX on Macbook Pro.
Comment 9 gareth foster 2011-11-09 15:07:16 EST
Created attachment 532657 [details]
boot_info_script.sh output
Comment 10 gareth foster 2011-11-09 15:08:04 EST
Used a rescue CD to boot and run the boot_info_script.sh script, attached the output.
Comment 11 Fedora End Of Life 2013-01-16 05:10:45 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 12 Fedora End Of Life 2013-02-13 03:34:55 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.